<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-fdc3](./foundation-fdc3.md) &gt; [Fdc3SystemChannelListener](./foundation-fdc3.fdc3systemchannellistener.md)

## Fdc3SystemChannelListener class

fdc3-system-channel-listener Util element to listen to the context on a fdc3 system channel

**Signature:**

```typescript
export declare class Fdc3SystemChannelListener extends Fdc3SystemChannelListener_base 
```
**Extends:** Fdc3SystemChannelListener\_base

## Example


```ts
import { customElement, GenesisElement, html } from '@genesislcap/web-core';
@customElement({
  name: 'example-component',
  template: html<ExampleComponent>`
   <fdc3-system-channel-listener
     @channel-event="${(x, ctx) => x.handleChannelMessage(customEvent(ctx))}"
     context-type="fdc3.position">
   </fdc3-system-channel-listener>
  `,
})
class ExampleComponent extends GenesisElement {
  handleChannelMessage(e: CustomEvent) {
    const message = e.detail;
    if (message?.id?.ticker) {
      console.log(message.id.ticker);
      // ToDo: handle the message as you like
    }
  }
}
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [contextType](./foundation-fdc3.fdc3systemchannellistener.contexttype.md) |  | string | The context type on the channel you want to listen to. Read more about fdc3 context type at https://fdc3.finos.org/docs/context/ref/Context |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [addChannelListener()](./foundation-fdc3.fdc3systemchannellistener.addchannellistener.md) | <code>protected</code> |  |
|  [connectedCallback()](./foundation-fdc3.fdc3systemchannellistener.connectedcallback.md) |  |  |
|  [disconnectedCallback()](./foundation-fdc3.fdc3systemchannellistener.disconnectedcallback.md) |  |  |
|  [handleCurrentContext(channel)](./foundation-fdc3.fdc3systemchannellistener.handlecurrentcontext.md) | <code>protected</code> |  |

